Page MenuHomePhabricator

Remove button on link context menu does not work after adding label to a simple link (because it's now the wrong context menu for the item)
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open a page
  2. Insert an external link
  3. Open the context menu
  4. Click on Edit and Add label to the link

5.Now from the context menu click on remove button
6.Go to next line

Observe that, when you click on remove button, it does remove the link from the text but as soon as you go the next line it comes back.

Details

Related Gerrit Patches:

Event Timeline

Ryasmeen created this task.Dec 14 2015, 9:05 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 14 2015, 9:05 PM
Jdforrester-WMF renamed this task from Remove button on link context menu does not work after adding label to a simple link to Remove button on link context menu does not work after adding label to a simple link (because it's now the wrong context menu for the item).Dec 15 2015, 8:17 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 284223 had a related patch set uploaded (by DLynch):
Select the label properly when converting LinkNode to LinkAnnotation

https://gerrit.wikimedia.org/r/284223

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 4:37 PM
DLynch claimed this task.Apr 21 2016, 4:12 PM

Change 284223 merged by jenkins-bot:
Select the label properly when converting LinkNode to LinkAnnotation

https://gerrit.wikimedia.org/r/284223

Jdforrester-WMF closed this task as Resolved.Apr 26 2016, 4:08 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)